| CE Gobi SDK 2.14 GobiApi

- Main Page
- Modules
- Classes
- Files

Classes | Macros | Functions
Gobi Image Management API

## Classes
struct | curFwImageList
struct | arrFwImageList
struct | imageElement
struct | storedImageSubList
struct | storedImageList

## Macros
#define | UNIQUE_ID_LEN 16
#define | MAX_BUILDID_LEN 255
#define | MAX_NO_OF_FW 5
#define | MAX_STORED_IMG 50
#define | MAX_IMG_LIST 2

## Functions
IMPORTGOBI ULONG GOBIAPI | GetBARMode (ULONG *pBARMode)
IMPORTGOBI ULONG GOBIAPI | SetBARMode ()
IMPORTGOBI ULONG GOBIAPI | GetStoredImageInfo (ULONG imageInfoSize, BYTE *pImageInfo, ULONG *pMajorVersion, ULONG *pMinorVersion, ULONG *pVersionID, CHAR *pInfo, ULONG *pLockID)
IMPORTGOBI ULONG GOBIAPI | DeleteStoredImage (ULONG imageInfoSize, BYTE *pImageInfo)

## Detailed Description

## Function Documentation

IMPORTGOBI ULONG GOBIAPI DeleteStoredImage | ( | ULONG | imageInfoSize,
|  | BYTE * | pImageInfo
| ) |  |

This function deletes the specified image from the device

Parameters

  imageInfoSize | [ I ] - The size in BYTEs of the image info array
  pImageInfo | [ I ] - The image info array

Returns
  See GobiErrorCodes.h

IMPORTGOBI ULONG GOBIAPI GetBARMode | ( | ULONG * | pBARMode | ) |

This function returns the boot and recovery image download mode

Parameters

  ppBARMode | [ O ] - Boot and recovery image download mode

Returns
  See GobiErrorCodes.h

IMPORTGOBI ULONG GOBIAPI GetStoredImageInfo | ( | ULONG | imageInfoSize,
|  | BYTE * | pImageInfo,
|  | ULONG * | pMajorVersion,
|  | ULONG * | pMinorVersion,
|  | ULONG * | pVersionID,
|  | CHAR * | pInfo,
|  | ULONG * | pLockID
| ) |  |

This function returns info about the specified image from the device

Parameters

  imageInfoSize | [ I ] - The size in BYTEs of the image info array
  pImageInfo | [ I ] - The image info array
  pMajorVersion | [ O ] - Major version of compatible boot downloader
  pMinorVersion | [ O ] - Minor version of compatible boot downloader
  pVersionID | [ O ] - Image version ID
  pInfo | [ O ] - Image info string
  pLockID | [ O ] - Image OEM lock ID

Returns
  See GobiErrorCodes.h

IMPORTGOBI ULONG GOBIAPI SetBARMode | ( |  | ) |

This function requests the device enter boot and recovery image download mode after the next reset

Returns
  See GobiErrorCodes.h